{% extends 'base.html.twig' %}

{% block title %}Balade{% endblock %}

{% block main %}
    <h1>Balade</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ balade.id }}</td>
            </tr>
            <tr>
                <th>Titre</th>
                <td>{{ balade.titre }}</td>
            </tr>
			<tr>
                <th>Temps</th>
                <td>{{ balade.temps }}</td>
            </tr>
            <tr>
                <th>Distance</th>
                <td>{{ balade.distance }}</td>
            </tr>
			<tr>
                <th>Commune</th>
                <td>{{ balade.commune }}</td>
            </tr>
			<tr>
                <th>Secteur</th>
                <td>{{ balade.secteur }}</td>
            </tr>
            <tr>
                <th>Duree</th>
                <td>{{ balade.duree ? balade.duree|date('H:i') : '' }}</td>
            </tr>
			<tr>
                <th>Discription</th>
                <td>{{ balade.discription }}</td>
            </tr>
            <tr>
                <th>PointDinteret</th>
                <td>{{ balade.pointDinteret }}</td>
            </tr>
            <tr>
                <th>LieuxDePauses</th>
                <td>{{ balade.lieuxDePauses }}</td>
            </tr>
            <tr>
                <th>PointDeDepart</th>
                <td>{{ balade.pointDeDepart }}</td>
            </tr>
        </tbody>
    </table>
	{# Si la route est "annonces_edit on affiche les images #}
	{% if app.request.attributes.get('_route') == 'balade_show' %}
        <h2>Images</h2>
        {% for image in balade.images %}
            <div>
                <img src="{{ asset('/uploads/'~image.name) }}" alt="" width="150">

                {# On ajoute un lien permettant de supprimer une image (sera géré en Ajax) #}
                <a href="{{ path('balade_delete_image', {id: image.id})}}" data-delete data-token="{{ csrf_token('delete' ~ image.id )}}">Supprimer</a>
            </div>
        {% endfor %}
    {% endif %}

    <a href="{{ path('balade_index') }}">back to list</a>

    <a href="{{ path('balade_edit', {'id': balade.id}) }}">edit</a>

    {{ include('balade/_delete_form.html.twig') }}
{% endblock %}
